# Tag Manager API . accounts . containers . folders

## Instance Methods

Returns the entities Resource.

Creates a GTM Folder.

Deletes a GTM Folder.

Gets a GTM Folder.

Lists all GTM Folders of a Container.

Updates a GTM Folder.

### Method Details

`create(accountId, containerId, body)`

    Creates a GTM Folder.

    Args:
      accountId: string, The GTM Account ID. (required)
      containerId: string, The GTM Container ID. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Represents a Google Tag Manager Folder.
        "folderId": "A String", # The Folder ID uniquely identifies the GTM Folder.
        "fingerprint": "A String", # The fingerprint of the GTM Folder as computed at storage time. This value is recomputed whenever the folder is modified.
        "containerId": "A String", # GTM Container ID.
        "name": "A String", # Folder display name.
        "accountId": "A String", # GTM Account ID.
      }

    Returns:
      An object of the form:

        { # Represents a Google Tag Manager Folder.
          "folderId": "A String", # The Folder ID uniquely identifies the GTM Folder.
          "fingerprint": "A String", # The fingerprint of the GTM Folder as computed at storage time. This value is recomputed whenever the folder is modified.
          "containerId": "A String", # GTM Container ID.
          "name": "A String", # Folder display name.
          "accountId": "A String", # GTM Account ID.
        }

`delete(accountId, containerId, folderId)`

    Deletes a GTM Folder.

    Args:
      accountId: string, The GTM Account ID. (required)
      containerId: string, The GTM Container ID. (required)
      folderId: string, The GTM Folder ID. (required)

`get(accountId, containerId, folderId)`

    Gets a GTM Folder.

    Args:
      accountId: string, The GTM Account ID. (required)
      containerId: string, The GTM Container ID. (required)
      folderId: string, The GTM Folder ID. (required)

    Returns:
      An object of the form:

        { # Represents a Google Tag Manager Folder.
          "folderId": "A String", # The Folder ID uniquely identifies the GTM Folder.
          "fingerprint": "A String", # The fingerprint of the GTM Folder as computed at storage time. This value is recomputed whenever the folder is modified.
          "containerId": "A String", # GTM Container ID.
          "name": "A String", # Folder display name.
          "accountId": "A String", # GTM Account ID.
        }

`list(accountId, containerId)`

    Lists all GTM Folders of a Container.

    Args:
      accountId: string, The GTM Account ID. (required)
      containerId: string, The GTM Container ID. (required)

    Returns:
      An object of the form:

        { # List Folders Response.
        "folders": [ # All GTM Folders of a GTM Container.
          { # Represents a Google Tag Manager Folder.
              "folderId": "A String", # The Folder ID uniquely identifies the GTM Folder.
              "fingerprint": "A String", # The fingerprint of the GTM Folder as computed at storage time. This value is recomputed whenever the folder is modified.
              "containerId": "A String", # GTM Container ID.
              "name": "A String", # Folder display name.
              "accountId": "A String", # GTM Account ID.
            },
        ],
      }

`update(accountId, containerId, folderId, body, fingerprint=None)`

    Updates a GTM Folder.

    Args:
      accountId: string, The GTM Account ID. (required)
      containerId: string, The GTM Container ID. (required)
      folderId: string, The GTM Folder ID. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Represents a Google Tag Manager Folder.
        "folderId": "A String", # The Folder ID uniquely identifies the GTM Folder.
        "fingerprint": "A String", # The fingerprint of the GTM Folder as computed at storage time. This value is recomputed whenever the folder is modified.
        "containerId": "A String", # GTM Container ID.
        "name": "A String", # Folder display name.
        "accountId": "A String", # GTM Account ID.
      }

      fingerprint: string, When provided, this fingerprint must match the fingerprint of the folder in storage.

    Returns:
      An object of the form:

        { # Represents a Google Tag Manager Folder.
          "folderId": "A String", # The Folder ID uniquely identifies the GTM Folder.
          "fingerprint": "A String", # The fingerprint of the GTM Folder as computed at storage time. This value is recomputed whenever the folder is modified.
          "containerId": "A String", # GTM Container ID.
          "name": "A String", # Folder display name.
          "accountId": "A String", # GTM Account ID.
        }